#!/usr/bin/perl -w
# Begin fix_printf.pl - script to fix mexPrintf lines

# Check input arguments
if (@ARGV < 1) {
    print "USAGE: fix_printf.pl filename\n";
    exit 1;
}

# Open input file
open(INFILE, $ARGV[0]) || die ("error opening file '$ARGV[0]': $!\n");

# Scan lines in input file and print corrected file
foreach my $line (<INFILE>) {
    if ( $line =~ /else\s+mexPrintf\([^)]*\)\s*;\s*/i ) {
	my ($mid) = $line =~ /else\s+(mexPrintf\([^)]*\)\s*;)\s*/i;
        print "else {\n";
        print "  $mid\n";
        print "  return;\n";
        print "}\n";
    } else {
        print $line;
    }
}

exit 0;
